#include<iostream>
using namespace std;

long long x[10000000];
long long y[10000000];
long long n, m, k, br, br1, br2, i, j;

int main ()
{
    cin >> n;
    for (i=0; i<n; i++)
    {
        cin >> x[i] >> y[i];
        if (y[i]>m)
        {
            m=y[i];
        }
    }
    br1=1, br2=0;
    for (i=0; i<=m; i++)
    {
        k=i+1;
        br=0;
        for (j=0; j<n; j++)
        {
            if (x[j]<=i && y[j]>=k)
                br++;
        }
        if (br>br1)
            br1=br;
    }
    for (i=0; i<=m; i++)
    {
        k=i+1;
        br=0;
        for (j=0; j<n; j++)
        {
            if (x[j]<=i && y[j]>=k)
                br++;
        }
        if (br==br1)
            br2++;
    }
    cout << br1 << endl << br2 << endl;
    return 0;
}
